Drone

Drone still tries to use drone/git:windows-1809-amd64 after upgrade to Windows 1903

Hi all!
I have just upgraded a Drone Agent from Windows 10 build 1809 to Windows 10 build 1903. As I have globally activated process isolation for my Docker Desktop setup, I can only use images that match the Windows kernel of the host.

So I have deleted the old drone/agent:windows-1809-amd64 container and created a new one based on the drone/agent:windows-1903-amd64 image. This part worked well and the new agent successfully connects to my Drone master.
However, the implicit “clone” step still fetches the drone/git:windows-1809-amd64 image and then fails due to an unmatched kernel version.

Where does Drone cache the old Windows version and how to purge that cache?
I have already restarted the master container and reset my Docker Desktop setup to factory defaults.
Going back to Hyper-V mode instead of process isolation is no option, due to a vast number of other problems with that.

Best regards,

Colin Finck

support for 1903 was added to Drone 1.3.x so you need to make sure you upgrade your server and agents accordingly.

you should also specify your target version in the yaml:

platform:
  os: windows
  version: 1903

Thank you for the prompt reply, Brad!
I’ve already upgraded the master to 1.3.1 before, so that wasn’t the issue. But setting the target version to 1903 explicitly in the yaml file did the trick.

While this still makes me wonder about the magic that detects my agent as 1809, I can live with this solution!

Cheers,

Colin